Source: simplegeneric
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools
Standards-Version: 4.1.5
Homepage: https://pypi.python.org/pypi/simplegeneric
Vcs-Git: https://salsa.debian.org/python-team/packages/simplegeneric.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/simplegeneric
Testsuite: autopkgtest-pkg-python

Package: python3-simplegeneric
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: simple generic functions for Python3
 The simplegeneric module lets you define simple single-dispatch generic
 functions, akin to Python's built-in generic functions like len(), iter() and
 so on. However, instead of using specially-named methods, these generic
 functions use simple lookup tables, akin to those used by e.g. pickle.dump()
 and other generic functions found in the Python standard library.
 .
 This package contains the Python 3 version of the library.
